Subject: RE: [AVT] working group last call on draft-ietf-avt-rtp-evrc-wb-01

From: "Even, Roni" <[email-masked]>
Date: Sun, 13 May 2007 14:24:00 +0300

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: "Even, Roni" <[email-masked]>
Date: Sun, 13 May 2007 14:26:46 +0300

---

From: "Even, Roni" <[email-masked]>
Date: Sun, 13 May 2007 14:26:46 +0300

Hi, 
The last call has ended. I reviewed the document and here are my comments.
I suggest that you update the document and afterward I can send it to publication.

Roni Even

General Comments

1. For mode-set-recv you specify the default value as 0,4,7 while when the parameter is absence it is all modes. I assume that by default you mean that when the parameter is specified with no mode list, if this is the case, please explain. This is true for all the subtypes you have.

2. What is the use of sendmode parameter. If the receiver needs it than you should be aware that there is no synchronization between the SDP and the RTP media so the media may be received before the sendmode parameter. If it has other semantics please clarify in section 13, 14 or 15.

3. In section 10 "Since the new parameters are receiver options". Is this true I think that sendmode is sender declaration.

4. you have the following example maybe it is a place to explain that the receive mode is receiver preference but sender can send a different mode.

      Offer:

        m=audio 55954 RTP/AVP 98 99
        a=rtpmap:98 EVRCWB0/16000
        a=rtpmap:99 EVRCB0/8000
        a=fmtp:98 mode-set-recv=0,4; sendmode=0
        a=fmtp:99 recvmode=0 sendmode=0

      Answer:

        m=audio 55954 RTP/AVP 99
        a=rtpmap:99 EVRCB0/8000
        a=fmtp:99 recvmode=0 sendmode=4

Editorial comments

1. Merge section 9 with section 17. Rename  section 9 to IANA consideration.

IANA Considerations

   This document updates the EVRC media subtype types in RFC 4788 and adds new EVRC-WB media sub types described in RFC3047.

Media Type Registration

   This section describes the media types and names associated with this   payload format.  The section registers the media types, as per
   RFC4288 [RFC4288]

2. Change in the document MIME type to media type or subtype including in the title.

3. In the introduction section add space between "codecs.This"

4. in 9.1 in mode-set-recv add space between "Table2.5.1.2"

5. In 9.4 and 9.5 silencesupp: see section 6.1 - add of [2] 

6. Run the draft through idnits tool. For example you have references specified that are not use.

________________________________________
From: Even, Roni [mailto:[email-masked]] 
Sent: Sunday, April 29, 2007 1:39 PM
To: [email-masked]
Cc: Colin Perkins; Tom-PT Taylor
Subject: [AVT] working group last call on draft-ietf-avt-rtp-evrc-wb-01

Hi,

Announcing work group last call for draft-ietf-avt-rtp-evrc-wb-01.txt,
RTP payload format for EVRC-WB codec and MIME updates for EVRC-B codec

The last call period will be two weeks expiring on Saturday, May 12.

Roni Even will be the PROTO Shepherd for this document

scribe>
Errors-To: [email-masked]

Hi, 
The last call has ended. I reviewed the document and here are my comments.
I suggest that you update the document and afterward I can send it to publication.

Roni Even

General Comments

1. For mode-set-recv you specify the default value as 0,4,7 while when the parameter is absence it is all modes. I assume that by default you mean that when the parameter is specified with no mode list, if this is the case, please explain. This is true for all the subtypes you have.

2. What is the use of sendmode parameter. If the receiver needs it than you should be aware that there is no synchronization between the SDP and the RTP media so the media may be received before the sendmode parameter. If it has other semantics please clarify in section 13, 14 or 15.

3. In section 10 "Since the new parameters are receiver options". Is this true I think that sendmode is sender declaration.

4. you have the following example maybe it is a place to explain that the receive mode is receiver preference but sender can send a different mode.

      Offer:

        m=audio 55954 RTP/AVP 98 99
        a=rtpmap:98 EVRCWB0/16000
        a=rtpmap:99 EVRCB0/8000
        a=fmtp:98 mode-set-recv=0,4; sendmode=0
        a=fmtp:99 recvmode=0 sendmode=0

      Answer:

        m=audio 55954 RTP/AVP 99
        a=rtpmap:99 EVRCB0/8000
        a=fmtp:99 recvmode=0 sendmode=4

Editorial comments

1. Merge section 9 with section 17. Rename  section 9 to IANA consideration.

IANA Considerations

   This document updates the EVRC media subtype types in RFC 4788 and adds new EVRC-WB media sub types described in RFC3047.

Media Type Registration

   This section describes the media types and names associated with this   payload format.  The section registers the media types, as per
   RFC4288 [RFC4288]

2. Change in the document MIME type to media type or subtype including in the title.

3. In the introduction section add space between "codecs.This"

4. in 9.1 in mode-set-recv add space between "Table2.5.1.2"

5. In 9.4 and 9.5 silencesupp: see section 6.1 - add of [2] 

6. Run the draft through idnits tool. For example you have references specified that are not use.

________________________________________
From: Even, Roni [mailto:[email-masked]] 
Sent: Sunday, April 29, 2007 1:39 PM
To: [email-masked]
Cc: Colin Perkins; Tom-PT Taylor
Subject: [AVT] working group last call on draft-ietf-avt-rtp-evrc-wb-01

Hi,

Announcing work group last call for draft-ietf-avt-rtp-evrc-wb-01.txt,
RTP payload format for EVRC-WB codec and MIME updates for EVRC-B codec

The last call period will be two weeks expiring on Saturday, May 12.

Roni Even will be the PROTO Shepherd for this document